/***************************************************************************
    resetdlg.cpp
                             -------------------
    copyright            : (C) 2000 by Thomas Leineweber
                           (C) 1997 by John Zero
    email                : leine@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "resetdlg.h"
#include <stdio.h>
#include <kdialog.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klocale.h>

resetdlg::resetdlg( QWidget *parent, const char *name, const char *txt ) 
 : KDialog(parent,name,TRUE)
{
 QPushButton *ok, *cancel;
 QLabel *l;

 setCaption(name);
 l = new QLabel(txt,this);
 l->setGeometry(10,10,300,60);
 l->setAlignment( 1316 );

 ok = new QPushButton(i18n("Ok"),this);
 ok->setGeometry(225,60,90,30);
 cancel = new QPushButton(i18n("Cancel"),this);
 cancel->setGeometry(10,60,90,30);

 connect( ok, SIGNAL(clicked()), SLOT(accept()) );
 connect( cancel, SIGNAL(clicked()), SLOT(reject()) );
}

#include "resetdlg.moc"

